#! /usr/bin/python2
# Copyright (C) 2020-2021 NVIDIA Corporation. ALL RIGHTS RESERVED.
# Copyright 2015 Cumulus Networks, Inc.
# All rights reserved.
#

'''
MSN2700 EEPROM
'''
#############################################################################
# Platform and model specific eeprom subclass, inherits from the base class,
# and provides the followings:
# - the eeprom format definition
# - specific encoder/decoder if there is special need
#

try:
    import eeprom_tlvinfo
except ImportError, misc_ex:
    raise ImportError(str(misc_ex) + "- required module not found")

#
# base board
#
class board(eeprom_tlvinfo.TlvInfoDecoder):
    '''
    SN2700 main EEPROM
    '''
    EEPROM_MAX_SIZE = 256
    EEPROM_OFFSET = 0

    def __init__(self, name, path, cpld_root, ro):
        super(board, self).__init__(path,
                                    self.EEPROM_OFFSET,
                                    "",
                                    ro,
                                    self.EEPROM_MAX_SIZE)
