#!/bin/bash
#
# Copyright © 2021 NVIDIA CORPORATION & AFFILIATES. ALL RIGHTS RESERVED.
#
# This software product is a proprietary product of Nvidia Corporation and its affiliates
# (the "Company") and all right, title, and interest in and to the software
# product, including all associated intellectual property rights, are and
# shall remain exclusively with the Company.
#
# This software product is governed by the End User License Agreement
# provided with the software product.

echo "First arg: $1"
echo "Second arg: $2"

FILE=/var/run/hw-management/lc2/eeprom/ini
if test -f "$FILE"; then
    echo 
else
    tar zxvf /usr/share/cumulus-platform/mlnx/simx_msn4800/etc/cumulus/hw-management_4800.tgz -C /var/run
fi

if [ "$1" = "400G" ]; then
    sed -i -e 's/MAJOR_INI_VERSION:.*/MAJOR_INI_VERSION:0/' /var/run/hw-management/lc$2/eeprom/ini_parsed
    sed -i -e 's/MINOR_INI_VERSION:.*/MINOR_INI_VERSION:1/' /var/run/hw-management/lc$2/eeprom/ini_parsed
    sed -i -e 's/CARD_TYPE:.*/CARD_TYPE:1/' /var/run/hw-management/lc$2/eeprom/ini_parsed
    sed -i -e 's/PN_VPD_FIELD: MSN4800.*/PN_VPD_FIELD: MSN4800-C4/' /var/run/hw-management/lc$2/eeprom/vpd_parsed
    echo 1 > /var/run/hw-management/events/lc$2_present
    echo 1 > /var/run/hw-management/events/lc$2_verified
    echo 1 > /var/run/hw-management/events/lc$2_synced
    echo 1 > /var/run/hw-management/events/lc$2_powered
    echo 1 > /var/run/hw-management/events/lc$2_ready
    echo 1 > /var/run/hw-management/events/lc$2_active
elif [ "$1" = "100G" ]; then
    sleep 1
    sed -i -e 's/MAJOR_INI_VERSION:.*/MAJOR_INI_VERSION:0/' /var/run/hw-management/lc$2/eeprom/ini_parsed
    sed -i -e 's/MINOR_INI_VERSION:.*/MINOR_INI_VERSION:3/' /var/run/hw-management/lc$2/eeprom/ini_parsed
    sed -i -e 's/CARD_TYPE:.*/CARD_TYPE:3/' /var/run/hw-management/lc$2/eeprom/ini_parsed
    sed -i -e 's/PN_VPD_FIELD: MSN4800.*/PN_VPD_FIELD: MSN4800-C16/' /var/run/hw-management/lc$2/eeprom/vpd_parsed
    echo 1 > /var/run/hw-management/events/lc$2_present
    echo 1 > /var/run/hw-management/events/lc$2_verified
    echo 1 > /var/run/hw-management/events/lc$2_synced
    echo 1 > /var/run/hw-management/events/lc$2_powered
    echo 1 > /var/run/hw-management/events/lc$2_ready
    echo 1 > /var/run/hw-management/events/lc$2_active
else
    echo 0 > /var/run/hw-management/events/lc$2_present
    echo 0 > /var/run/hw-management/events/lc$2_verified
    echo 0 > /var/run/hw-management/events/lc$2_synced
    echo 0 > /var/run/hw-management/events/lc$2_powered
    echo 0 > /var/run/hw-management/events/lc$2_ready
    echo 0 > /var/run/hw-management/events/lc$2_active
fi


