#!/bin/sh

#
# Copyright © 2021 NVIDIA CORPORATION & AFFILIATES. ALL RIGHTS RESERVED.
#
# This software product is a proprietary product of Nvidia Corporation and its affiliates
# (the "Company") and all right, title, and interest in and to the software
# product, including all associated intellectual property rights, are and
# shall remain exclusively with the Company.
#
# This software product is governed by the End User License Agreement
# provided with the software product.
#

# Invoked by /etc/init.d/hw_init

# Setup the hw-management Cumulus VX on every install

# Load the VERBOSE setting and other rcS variables
simxhwmgmtpath="/usr/share/cumulus-platform/mlnx/simx_msn4800/etc/cumulus/hw-management_4800.tgz"
cardsconf="/etc/cumulus/cards.conf"
linuxver=$(uname -r)
inipath="/usr/share/mellanox/firmware/$linuxver/INI/"
simxinipath="/usr/share/cumulus-platform/mlnx/simx_msn4800/etc/cumulus/Buff*.bin"

if [ -f $simxhwmgmtpath ]; then
    tar zxvf $simxhwmgmtpath -C /var/run
    echo "Extracted the hw-management simulation files to /var/run"
    cp /var/run/hw-management/eeprom/eeprom /var/run/hw-management/eeprom/vpd_info
fi

if [ ! -f $inipath ]; then
    mkdir -p $inipath
    cp $simxinipath $inipath
fi

while IFS=" " read -r col1 col2 col3 col4 col5; do
    case "$col1" in \#*) continue ;; esac
    /usr/share/cumulus-platform/mlnx/simx_msn4800/etc/cumulus/setupslot.sh ${col4} ${col1}
done < $cardsconf
return
